#!/usr/bin/perl -w

#   Copyright (C) 2006 David G. Jacobowitz 
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

package misc2;
use Exporter qw(import);
use POSIX qw(floor);

@EXPORT_OK = qw(inDict inAry tstFlg setFlg func_fail);

sub inDict {
 my $lf = shift;
 my $d  = shift;
 my $in = 0;
 if (!defined($d)) { return 0; };
 if (!defined($lf)) { return $in; };
 foreach $de (keys %{$d}) {
  if ($de eq $lf) {
   $in = 1;
   goto done_inDict;
  }
 }
 done_inDict:
 return $in;
}

sub inAry {
 my $lf = shift;
 my $a  = shift;
 my $in = 0;
 if (!defined($lf)) { return $in; };
 foreach $ae (@{$a}) {
  if ($ae eq $lf) {
   $in = 1;
   goto done_inAry;
  }
 }
 done_inAry:
 return $in;
}


sub tstFlg {
 my $a = shift;
 my $f = shift;
 if (defined($a->{flag}{$f}) && $a->{flag}{$f}) {
  return 1;
 } else {
  return 0;
 }
}

sub setFlg {
 my $a = shift;
 my $f = shift;
 my $v = shift;
 $a->{flag}{$f} = $v;
 return 1;
}


sub func_fail {
 my $r = shift;
 if (!defined($r) ||
     !defined($r->{status}) ||
     ($r->{status} =~ /^fail/)) {
  return 1;
 } else {
  return 0;
 }
}    

1;

