@echo off

rem This is a simple script to fetch and install gnuplot on the user's
rem compuer 

set GNUPLOT_LOC=http://easynews.dl.sourceforge.net/sourceforge/gnuplot
set GNUPLOT_ZIP=gp400win32.zip

echo *
echo *
echo * Downloading GNUplot 
echo *
echo *
wget.exe "%GNUPLOT_LOC%/%GNUPLOT_ZIP%"

echo *
echo *
echo * Unzipping GNUplot 
echo *
echo *
unzip %GNUPLOT_ZIP%

echo *
echo *
echo * Installing GNUplot files
echo *
echo *
mkdir "C:\Program Files\gnuplot"
mkdir "C:\Program Files\gnuplot\demo"
mkdir "C:\Program Files\gnuplot\bin"
mkdir "C:\Program Files\gnuplot\docs"
copy  gnuplot\*.*      "C:\Program Files\gnuplot"
copy  gnuplot\demo\*.* "C:\Program Files\gnuplot\demo"
copy  gnuplot\bin\*.*  "C:\Program Files\gnuplot\bin"
copy  gnuplot\docs\*.* "C:\Program Files\gnuplot\docs"

echo *
echo *
echo * Adding .bat to call gnuplot from windows without adding to path
echo *
echo *
copy gnuplot.bat C:\Windows

echo *
echo *
echo * Done!!!
echo *
echo *
